> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mkinf.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Firewall Rules

> Retrieve details about all VPC firewall rules

List all firewall rules in a project. Returns detailed information about each rule including sources, destinations, and protocols.


## OpenAPI

````yaml GET /projects/{id}/vpc/firewall-rules
openapi: 3.1.0
info:
  title: mkinf API v0.1
  description: ''
  version: 1.0.0
servers:
  - url: https://api.mkinf.io/v0.1
    description: Prod Env
security: []
tags: []
paths:
  /projects/{id}/vpc/firewall-rules:
    get:
      tags: []
      summary: List Firewall Rules
      description: Retrieve details about all VPC firewall rules
      parameters:
        - name: id
          in: path
          description: Project id
          required: true
          example: b3e571f6-c87d-4135-8081-ab219e92544e
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        direction:
                          type: string
                        action:
                          type: string
                        vpc_network_id:
                          type: string
                        state:
                          type: string
                        sources:
                          type: array
                          items:
                            type: object
                            properties:
                              cidr:
                                type: string
                              resource_id:
                                type: string
                            required:
                              - cidr
                              - resource_id
                        source_ports:
                          type: array
                          items:
                            type: string
                        destinations:
                          type: array
                          items:
                            type: object
                            properties:
                              cidr:
                                type: string
                              resource_id:
                                type: string
                            required:
                              - cidr
                              - resource_id
                        destination_ports:
                          type: array
                          items:
                            type: string
                        protocols:
                          type: array
                          items:
                            type: string
                      required:
                        - id
                        - name
                        - direction
                        - action
                        - vpc_network_id
                        - state
                        - sources
                        - source_ports
                        - destinations
                        - destination_ports
                        - protocols
                required:
                  - items
              examples:
                '1':
                  summary: Success
                  value:
                    items:
                      - id: c8c3d306-eff4-4d35-a09e-8efe320706c2
                        name: default-allow-subnet-tcp-udp-us-northcentral1-a
                        direction: ingress
                        action: allow
                        vpc_network_id: 2d7fe075-b3d6-4201-b397-b17b754bece1
                        state: active
                        sources:
                          - cidr: 172.27.0.0/20
                            resource_id: ''
                        source_ports: []
                        destinations:
                          - cidr: 172.27.0.0/20
                            resource_id: ''
                        destination_ports: []
                        protocols:
                          - tcp
                          - udp
          headers: {}
      deprecated: false
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````